

GP32DEVROOT  =   l:/gp32/gcc/
GCCROOT      =   i:/gnu/cygwin/latest/

LIBPATH     =   $(GP32DEVROOT)lib
TARGET      =   arm-elf

GCCLIBVER   =   2.95.2

STDLIBS     =   -lgcc

                # -lg -lm -lc

RUNNER      =   gpbeam.exe

START       =   $(GP32DEVROOT)lib/crt0.o

AS          =   $(TARGET)-as
ASFLAGS     =   -I$(GP32DEVROOT)include

		#-mthumb-interwork

CC          =   $(TARGET)-gcc
CCFLAGS     =   \
		-mcpu=arm9tdmi -mtune=arm9tdmi -march=armv4t \
		-mapcs \
                -msoft-float \
                -I$(GCCROOT)usr/local/lib/gcc-lib/$(TARGET)/$(GCCLIBVER)/include/ \
                -I$(GCCROOT)usr/local/lib/gcc-lib/$(TARGET)/$(GCCLIBVER) \
                -I$(GP32DEVROOT)include/stdlib -I$(GP32DEVROOT)lib/stdlib \
                -I$(GP32DEVROOT)include -I$(GP32DEVROOT)lib \
                -Wa,-I$(GP32DEVROOT)include -Wa,-I$(GP32DEVROOT)lib \
                -nostdlib -fno-builtin -ffreestanding \
                -fno-sjlj-exceptions -fno-exceptions -fno-common \
                -fshort-enums -mstructure-size-boundary=32 \
                -O3 -finline-functions

# for debugging append:
#                -g -O1 -Wall -Wno-inline
# for optimized compile append:
#                -O3 -finline-functions

#                -mthumb-interwork \

#               -mcpu=arm9tdmi -march=armv4t -mtune=arm9tdmi \
#                -mcpu=arm7tdmi -march=armv4t -mtune=arm7tdmi \

LD          =   $(TARGET)-ld
LDFLAGS     =   -Map $(MAPFILE) -nostartfiles \
                 -L$(GP32DEVROOT)ldscripts --script arm-gp32bin.x \
                --library-path=$(LIBPATH) \
                --library-path=/usr/local/lib/gcc-lib/$(TARGET)/$(GCCLIBVER) \
                --library-path=/usr/local/$(TARGET)/lib

AR          =   arm-elf-ar
ARFLAGS     =

OBJCOPY     =   arm-elf-objcopy

.PHONY: all clean link elf2bin collect run

