
typedef unsigned long caddr_t;
typedef long size_t;

extern void *end;
static volatile caddr_t heap_end = (caddr_t) &end;

caddr_t smalloc(size_t bytes) {
char *prev_heap_end;

    prev_heap_end = heap_end;
    heap_end += bytes;

    return ((caddr_t) prev_heap_end);

};


void sfree(void* ptr) {

    heap_end = ptr;

}
