
@********************************************************************
@* crt0.s - startup code for arm-elf-gcc v0.1 (w) Groepaz/Hitmen
@* Target CPU: Arm/T9  Machine: GamePark GP32
@********************************************************************

   .include "../include/gp32.inc"

    .GLOBAL     _start
    .GLOBAL     atexit

    .EXTERN     main @ entry point

    .global     bs_start,bs_end,rd_start,rd_dest,rd_end
    .global     start_vector

    .TEXT

    .align 4
    .code  32

_start:
        b start_vector

        @ .text start+.rodata end

          .word 0x0c000000      @ Start of ROM code
rd_start: .word _romdata        @ End of ROM code (=start of ROM data)

        @ .data start/end

rd_end:   .word _edata          @ Base of RAM to initialize
rd_dest:  .word _bdata

        @ .bss start/end

bs_start: .word _bstart         @ Base of RAM to Zero Out
bs_end:   .word _bend

        @ some weirdo sequence ?! ;=P

@        .word 0x44450011
        .word 0x44450011

        .word 0x01234567
        .word 0x12345678
        .word 0x23456789
        .word 0x34567890
        .word 0x45678901
        .word 0x56789012
        .word 0x23456789
        .word 0x34567890
        .word 0x45678901
        .word 0x56789012
        .word 0x23456789
        .word 0x34567890
        .word 0x45678901
        .word 0x56789012

    .ALIGN  4
    .CODE   32

start_vector:
        b       main @ jump to entry point

@ dummy function to keep gcc happy

        .ALIGN  4
        .CODE   32

atexit:
         mov pc,lr

        .END


