/////////////////////////////////
// Cross-Fade 32
//      by
//    Costis
//
// Email: costis@gbaemu.com
/////////////////////////////////

#include <gp32.h>

extern unsigned short _binary_bk_bin_start;
extern unsigned short _binary_bk2_bin_start;
#define BK_Pic (&_binary_bk_bin_start)
#define BK2_Pic (&_binary_bk2_bin_start)

GPDRAWSURFACE surface;
GPDRAWSURFACE surface2;

int i,x; // these need to be globals for some weird reason :) :)

int main(void) {
	int chk,chk2;
	unsigned short r,g,b,r2,g2,b2;

	// Initialize (get an address where the screen buffer should be located at)0
        gpSurfaceSet=(tGpSurfaceSet*)Init();

	// Set up the screen buffer
	surface.buf_w = GPC_LCD_WIDTH;
	surface.buf_h = GPC_LCD_HEIGHT;
	surface.ox=surface.oy=0;

	// 'Create' the screen buffer
	GpSurfaceCreate(&surface, surface.bufflag);

	// Set the screen buffer to the correct memory address
	gpSurfaceSet(&surface);

	// Set the display to 16bpp Color Mode (if you change the 16 to an 8, it'll be 8bpp mode)
//        asm volatile ("
//                mov r0,#16
//                mov r1, #0     @ ?
//                mov r2, #0
//                swi 0x8
//        ");

	//Make it so odd and even lines are displayed correctly
        (*(volatile unsigned long*)REG_LCDCON5) |= 1;

	// Turn the LCD display on
	gpLcdEnable();

	// Draw the first picture to the screen buffer
	for (x=0;x<320*240*2;x++)	*(unsigned short*)(surface.ptbuffer+x+1) = (unsigned short)BK_Pic[x];

	// Do a 'flip-flop' loop
	i=0;
	while(1)
	{
		if (i==0)
		{
			// Keep on looping until the other picture is fully drawn
			while(1)
			{
				chk2=0;
				// Loop through every screen pixel doing a cross fade
				for (x=0;x<320*240;x++)
				{
					r=((*(unsigned short*)(surface.ptbuffer+x)) & 0xF800) >> 11;
					g=((*(unsigned short*)(surface.ptbuffer+x)) & 0x7C0) >> 6;
					b=((*(unsigned short*)(surface.ptbuffer+x)) & 0x3E) >> 1;

					r2=((unsigned short)BK2_Pic[x] & 0xF800) >> 11;
					g2=((unsigned short)BK2_Pic[x] & 0x7C0) >> 6;
					b2=((unsigned short)BK2_Pic[x] & 0x3E) >> 1;

					chk=3;
					if (r>r2) r-=1; else if (r<r2) r+=1; else chk--;
					if (g>g2) g-=1; else if (g<g2) g+=1; else chk--;
					if (b>b2) b-=1; else if (b<b2) b+=1; else chk--;
					if (chk!=0) chk2=1;

					*(unsigned short*)(surface.ptbuffer+x) = ((r << 11) | (g<<6) | (b<<1));
				}
				if (chk2==0) break;
			}
			i=1;
		} else {
			// Keep on looping until the other picture is fully drawn
			while(1)
			{
				chk2=0;
				// Loop through every screen pixel doing a cross fade
				for (x=0;x<320*240;x++)
				{
					r=((*(unsigned short*)(surface.ptbuffer+x)) & 0xF800) >> 11;
					g=((*(unsigned short*)(surface.ptbuffer+x)) & 0x7C0) >> 6;
					b=((*(unsigned short*)(surface.ptbuffer+x)) & 0x3E) >> 1;

					r2=((unsigned short)BK_Pic[x] & 0xF800) >> 11;
					g2=((unsigned short)BK_Pic[x] & 0x7C0) >> 6;
					b2=((unsigned short)BK_Pic[x] & 0x3E) >> 1;

					chk=3;
					if (r>r2) r-=1; else if (r<r2) r+=1; else chk--;
					if (g>g2) g-=1; else if (g<g2) g+=1; else chk--;
					if (b>b2) b-=1; else if (b<b2) b+=1; else chk--;
					if (chk!=0) chk2=1;

					*(unsigned short*)(surface.ptbuffer+x) = ((r << 11) | (g<<6) | (b<<1));
				}
				if (chk2==0) break;
			}
			i=0;
		}
	}

        return(0);

}
